List content groups for the caller's organization
curl --request GET \
--url https://eu.phrase.com/control-hub/api/v1/public/groupsimport requests
url = "https://eu.phrase.com/control-hub/api/v1/public/groups"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://eu.phrase.com/control-hub/api/v1/public/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalElements": 123,
"totalPages": 123,
"pageSize": 123,
"pageNumber": 123,
"content": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"groupType": "SYSTEM",
"description": "<string>"
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}Groups
List content groups for the caller's organization
GET
/
api
/
v1
/
public
/
groups
List content groups for the caller's organization
Query Parameters
Zero-based page index (default: 0)
Number of items per page (default: 20, max: 100)
Required range:
x <= 100Whether to include the organization's SYSTEM content group in the results
Response
List of content groups
Pagination metadata returned alongside paged collection responses. Use page and size as query parameters to navigate through results. Pages are zero-indexed — the first page is page=0.
Total number of elements across all pages.
Total number of pages given the current pageSize.
Maximum number of elements returned per page.
Zero-based index of the current page.
Show child attributes
Show child attributes
Was this page helpful?